Package org.apache.ignite.internal.processors.platform

## Interface PlatformTarget

All Known Implementing Classes:
  `PlatformAbstractQueryCursor`, `PlatformAbstractTarget`, `PlatformAffinity`, `PlatformAffinityFunctionTarget`, `PlatformAffinityManager`, `PlatformAtomicLong`, `PlatformAtomicReference`, `PlatformAtomicSequence`, `PlatformBinaryProcessor`, `PlatformCache`, `PlatformCacheIterator`, `PlatformClusterGroup`, `PlatformCompute`, `PlatformComputeTaskSession`, `PlatformContinuousQueryProxy`, `PlatformDataStreamer`, `PlatformEvents`, `PlatformFieldsQueryCursor`, `PlatformListenableTarget`, `PlatformMessaging`, `PlatformProcessorImpl`, `PlatformQueryCursor`, `PlatformServices`, `PlatformTransactions`

    public interface PlatformTarget

Interop target abstraction.

### Method Summary

All Methods Instance Methods Abstract Methods
`Exception` `convertException​(Exception e)` Convert caught exception.
`long` `processInLongOutLong​(int type, long val)` Process IN operation.
`PlatformTarget` `processInObjectStreamOutObjectStream​(int type, @Nullable PlatformTarget arg, BinaryRawReaderEx reader, BinaryRawWriterEx writer)` Process IN-OUT operation.
`PlatformAsyncResult` `processInStreamAsync​(int type, BinaryRawReaderEx reader)` Process asynchronous operation.
`long` `processInStreamOutLong​(int type, BinaryRawReaderEx reader)` Process IN operation.
`long` `processInStreamOutLong​(int type, BinaryRawReaderEx reader, PlatformMemory mem)` Process IN operation.
`PlatformTarget` `processInStreamOutObject​(int type, BinaryRawReaderEx reader)` Process IN-OUT operation.
`void` `processInStreamOutStream​(int type, BinaryRawReaderEx reader, BinaryRawWriterEx writer)` Process IN-OUT operation.
`PlatformTarget` `processOutObject​(int type)` Process OUT operation.
`void` `processOutStream​(int type, BinaryRawWriterEx writer)` Process OUT operation.

### Method Detail

#### processInLongOutLong

    long processInLongOutLong​(int type,
                              long val)
                       throws IgniteCheckedException

Process IN operation.

Parameters:
  `type` - Type.
  `val` - Value.
Returns:
  Result.
Throws:
  `IgniteCheckedException` - In case of exception.

#### processInStreamOutLong

    long processInStreamOutLong​(int type,
                                BinaryRawReaderEx reader)
                         throws IgniteCheckedException

Process IN operation.

Parameters:
  `type` - Type.
  `reader` - Binary reader.
Returns:
  Result.
Throws:
  `IgniteCheckedException` - In case of exception.

#### processInStreamOutLong

    long processInStreamOutLong​(int type,
                                BinaryRawReaderEx reader,
                                PlatformMemory mem)
                         throws IgniteCheckedException

Process IN operation.

Parameters:
  `type` - Type.
  `reader` - Binary reader.
Returns:
  Result.
Throws:
  `IgniteCheckedException` - In case of exception.

#### processInStreamOutStream

    void processInStreamOutStream​(int type,
                                  BinaryRawReaderEx reader,
                                  BinaryRawWriterEx writer)
                           throws IgniteCheckedException

Process IN-OUT operation.

Parameters:
  `type` - Type.
  `reader` - Binary reader.
  `writer` - Binary writer.
Throws:
  `IgniteCheckedException` - In case of exception.

#### processInStreamOutObject

    PlatformTarget processInStreamOutObject​(int type,
                                            BinaryRawReaderEx reader)
                                     throws IgniteCheckedException

Process IN-OUT operation.

Parameters:
  `type` - Type.
  `reader` - Binary reader.
Throws:
  `IgniteCheckedException` - In case of exception.

#### processInObjectStreamOutObjectStream

    PlatformTarget processInObjectStreamOutObjectStream​(int type,
                                                        @Nullable
                                                        @Nullable PlatformTarget arg,
                                                        BinaryRawReaderEx reader,
                                                        BinaryRawWriterEx writer)
                                                 throws IgniteCheckedException

Process IN-OUT operation.

Parameters:
  `type` - Type.
  `arg` - Argument.
  `reader` - Binary reader.
  `writer` - Binary writer.
Throws:
  `IgniteCheckedException` - In case of exception.

#### processOutStream

    void processOutStream​(int type,
                          BinaryRawWriterEx writer)
                   throws IgniteCheckedException

Process OUT operation.

Parameters:
  `type` - Type.
  `writer` - Binary writer.
Throws:
  `IgniteCheckedException` - In case of exception.

#### processOutObject

    PlatformTarget processOutObject​(int type)
                             throws IgniteCheckedException

Process OUT operation.

Parameters:
  `type` - Type.
Throws:
  `IgniteCheckedException` - In case of exception.

#### processInStreamAsync

    PlatformAsyncResult processInStreamAsync​(int type,
                                             BinaryRawReaderEx reader)
                                      throws IgniteCheckedException

Process asynchronous operation.

Parameters:
  `type` - Type.
  `reader` - Binary reader.
Returns:
  Async result (should not be null).
Throws:
  `IgniteCheckedException` - In case of exception.

#### convertException

    Exception convertException​(Exception e)

Convert caught exception.

Parameters:
  `e` - Exception to convert.
Returns:
  Converted exception.